net.sf.jasperreports.j2ee.servlets

## Class JExcelApiServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - net.sf.jasperreports.j2ee.servlets.BaseHttpServlet
      - - net.sf.jasperreports.j2ee.servlets.AbstractXlsServlet
        - - net.sf.jasperreports.j2ee.servlets.JExcelApiServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

  Deprecated.
  To be removed. Use `XlsServlet` or `XlsxServlet` instead.

      public class JExcelApiServlet
      extends AbstractXlsServlet

  Version:
    $Id: JExcelApiServlet.java 6712 2013-11-08 20:03:37Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.j2ee.servlets.BaseHttpServlet

      `BUFFERED_OUTPUT_REQUEST_PARAMETER, DEFAULT_JASPER_PRINT_LIST_SESSION_ATTRIBUTE, DEFAULT_JASPER_PRINT_SESSION_ATTRIBUTE, JASPER_PRINT_LIST_REQUEST_PARAMETER, JASPER_PRINT_REQUEST_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JExcelApiServlet()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JRXlsAbstractExporter` | `getXlsExporter()` Deprecated.

    - ### Methods inherited from class net.sf.jasperreports.j2ee.servlets.AbstractXlsServlet

      `getResponseContentType, service, setResponseHeader`

    - ### Methods inherited from class net.sf.jasperreports.j2ee.servlets.BaseHttpServlet

      `getJasperPrintList, getJasperReportsContext`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JExcelApiServlet

          public JExcelApiServlet()

      Deprecated.

  - ### Method Detail

    - #### getXlsExporter

          protected JRXlsAbstractExporter getXlsExporter()

      Deprecated.
      Specified by:
        `getXlsExporter` in class `AbstractXlsServlet`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com